DIGICTL(8)

NAME
digictl - control Digiboard devices

SYNOPSIS
digictl -a disable | enable | query device ...
digictl [-d debug] [-ir] ctrl-device ...

DESCRIPTION
The digictl utility provides control of the Digiboard installed with the given ctrl-device name and provides control of individual digiboard devices. A digiboard ctrl-device is usually of the form /dev/digiN.ctl where N is the card number and starts at “0” for the first attached card. A digiboard device is usually of the form /dev/cua[il]DN.P or /dev/tty[il]DN.P where N is the card number and P is the port number.

The following flags are recognized:

-a disable | enable | query
    Disable, enable or query the ALTPIN settings for the given port(s).

    When ALTPIN is enabled, the CD and DSR lines are logically reversed. This is useful when wiring serial ports to an 8 way RJ45 cable (full 10 way RJ45 cables are quite rare).

    A single ALTPIN setting applies to both of the callout and callin devices.

-d debug
    If the driver has been compiled with DEBUG defined, the following bits from the debug variable are used to enable diagnostics in the digiboard driver:

    1 (INIT)
        Diagnostics during card attach, detach and initialization.

    2 (OPEN)
        Diagnostics when opening a port.

    4 (CLOSE)
        Diagnostics when closing a port.

    8 (SET)
        Diagnostics when setting tty device flags.

    16 (INT)
        Diagnostics when processing card events.

    32 (READ)
        Reports return values from port reads.

    64 (WRITE)
        Reports return values from port writes.

    128 (RX)
        Reports receive queue flow control.

    256 (TX)
        Reports transmit queue flow control.

    512 (IRQ)
        Diagnostics during interrupts (enable these with care).

    1024 (MODEM)
        Diagnostics when setting modem status flags.

    2048 (RI)
        Reports when a RING is received.

-i  Display the card identification string and type ID.

-r  Reinitialize the card. For boards with external port modules, it is possible to add or remove modules and dynamically reprobe the number of ports using this switch. All ports on the card must be closed in order to reinitialize the card.

    It is preferable to reinitialize the card rather than reload the entire digi module as reinitialization only affects the specified board rather than affecting all attached boards.

HISTORY
The digictl utility first appeared in FreeBSD 5.0.

BUGS
It should be possible to reinitialize a board without closing all of the existing ports.